=== modified file 'README'
--- README	2006-08-16 00:22:24 +0000
+++ README	2006-08-30 11:25:53 +0000
@@ -14,7 +14,7 @@
 need the following runtime dependencies:
 
   * Python 2.4
-  * bzr 0.9 or later
+  * bzr 0.10 or later
   * PyGTK 2.8 or later
 
 In order to see graphs in the visualisation tool, you will also need:

=== modified file '__init__.py'
--- __init__.py	2006-08-16 00:22:24 +0000
+++ __init__.py	2006-08-30 11:25:53 +0000
@@ -24,7 +24,7 @@
 from bzrlib.workingtree import WorkingTree
 from bzrlib.bzrdir import BzrDir
 
-__version__ = '0.9.0'
+__version__ = '0.10.0'
 
 class cmd_gbranch(Command):
     """GTK+ branching.

=== modified file 'commit.py'
--- commit.py	2006-08-13 01:29:57 +0000
+++ commit.py	2006-08-30 11:25:53 +0000
@@ -21,9 +21,6 @@
 import pango
 
 import bzrlib
-if bzrlib.version_info < (0, 9):
-    # function deprecated in 0.9
-    from bzrlib.delta import compare_trees
 
 class GCommitDialog(gtk.Dialog):
     """ Commit Dialog """
@@ -35,10 +32,7 @@
 
         self.old_tree = tree.branch.repository.revision_tree(tree.branch.last_revision())
         self.pending_merges = tree.pending_merges()
-        if bzrlib.version_info < (0, 9):
-            self.delta = compare_trees(self.old_tree, tree)
-        else:
-            self.delta = tree.changes_from(self.old_tree)
+        self.delta = tree.changes_from(self.old_tree)
 
         self._create()
 

=== modified file 'setup.py'
--- setup.py	2006-08-16 00:22:24 +0000
+++ setup.py	2006-08-30 11:25:53 +0000
@@ -5,7 +5,7 @@
 
 setup(
     name = "gtk",
-    version = "0.9.0",
+    version = "0.10.0",
     maintainer = "Jelmer Vernooij",
     maintainer_email = "jelmer@samba.org",
     description = "GTK+ Frontends for various Bazaar commands",

=== modified file 'viz/diffwin.py'
--- viz/diffwin.py	2006-08-21 14:02:07 +0000
+++ viz/diffwin.py	2006-08-30 11:25:53 +0000
@@ -23,9 +23,6 @@
     have_gtksourceview = False
 
 import bzrlib
-if bzrlib.version_info < (0, 9):
-    # function deprecated in 0.9
-    from bzrlib.delta import compare_trees
 
 from bzrlib.diff import show_diff_trees
 from bzrlib.errors import NoSuchFile
@@ -118,10 +115,7 @@
         self.parent_tree = parent_tree
 
         self.model.clear()
-        if bzrlib.version_info < (0, 9):
-            delta = compare_trees(self.parent_tree, self.rev_tree)
-        else:
-            delta = self.rev_tree.changes_from(self.parent_tree)
+        delta = self.rev_tree.changes_from(self.parent_tree)
 
         self.model.append(None, [ "Complete Diff", "" ])
 

